package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.UserShare;
import com.zanxiang.sdk.domain.params.UserData;
import com.zanxiang.sdk.domain.vo.GameShareVO;

/**
 * @author : lingfeng
 * @time : 2023-01-16
 * @description :
 */
public interface IUserShareService extends IService<UserShare> {

    /**
     * 获取游戏分享
     *
     * @param userData 用户数据
     * @return {@link GameShareVO}
     */
    GameShareVO getGameShare(UserData userData);
}
