package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author xufeng
 * @date 2022/6/13 13:39
 */
@Getter
@AllArgsConstructor
public enum MaxPayLock {

    /**
     * 已锁定
     */
    LOCK(1, "已锁定"),

    /**
     * 未锁定
     */
    UNLOCK(0, "未锁定");

    /**
     * 状态
     */
    private Integer code;

    /**
     * 描述
     */
    private String name;
}
