package com.zanxiang.sdk.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2023-01-15
 * @description : 米大师支付参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class MiPayConfigDTO {

    /**
     * 微信小程序appId
     */
    private String wxAppId;

    /**
     * 米大师支付应用id
     */
    private String appId;

    /**
     * 米大师现网AppKey
     */
    private String appKey;

    /**
     * 米大师沙箱AppKey
     */
    private String appKeyDev;
}
